2020-07-12 03:04 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003734Kefrens_DesertDream[WHDLoad Installs Demos] OCSpublic2017-11-24 13:58
ReporterAkira 
Assigned ToStingRayProject InfoDesert Dream (Kefrens)
http://www.whdload.de/demos/Kefrens_DesertDream.html
 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionduplicate 
Summary0003734: Demo locks up at "Change disk" screen.
DescriptionI had this happen with my CD32 and with my A600, the demo hangs when the "change disk" screen appears, with some specks of corrupted data displayed.

It's weird because I remember being able to watch this demo through, and I think CD32Load runs it fine (check out Amigajay's Demos compilation), but using the latest WHDLoad it doesn't seem to be working.

Anyone else experienced this? WHDLoad or slave related? Didn't know exactly where to put this, sorry.
Steps To ReproduceWatch the demo until the "insert disk 2" screen happens.
Additional InformationAlso tested on CD32 with TF328 expansion (8MB Z2 Fast RAM, Gayle-emulating IDE interface)
TagsNo tags attached.
MachineA600
CPU68EC020
CPUSpeed14
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad18.3
imported
Attached Files

-Relationships
duplicate of 0003073resolvedStingRay If you run the demo, it runs the first part of this great demo correctly. 
+Relationships

-Notes

note ~0005811

Akira (reporter)

Seems like there was this exact same issue raised in 2014:
http://mantis.whdload.de/view.php?id=3073

It must have been fixed at some point, maybe it got re-introduced?

note ~0005814

StingRay (developer)

I've been working on a new patch for Desert Dream for quite some time already, still quite a bit to do regarding timing but it will be released one day. This problem (even though I never experienced it with the old patch) will be fixed too.
+Notes

-Issue History
Date Modified Username Field Change
2017-10-30 21:09 Akira New Issue
2017-10-30 21:11 Akira Note Added: 0005811
2017-10-31 12:13 StingRay Note Added: 0005814
2017-10-31 12:13 StingRay Assigned To => StingRay
2017-10-31 12:13 StingRay Status new => assigned
2017-11-24 13:57 StingRay Status assigned => closed
2017-11-24 13:57 StingRay Resolution open => duplicate
2017-11-24 13:57 StingRay Relationship added duplicate of 0003073
+Issue History